export interface ClientConfig {
    useCdn?: boolean;
    projectId: string;
    dataset?: string;
    apiVersion: string;
    withCredentials?: boolean;
    token?: string;
    perspective?: 'raw' | 'published' | 'previewDrafts';
}
/** @deprecated Prefer `ClientConfig` instead - this will be removed in a future version. */
export interface SanityConfiguration extends ClientConfig {
}
export declare function getQuery(query: string, params?: Record<string, unknown>): string;
export declare const getByteSize: (query: string) => number;
export declare function createClient(config: ClientConfig): {
    clone: () => any;
    /**
     * Perform a fetch using GROQ syntax.
     */
    fetch<T = unknown>(query: string, params?: Record<string, unknown>): Promise<T>;
};
